const baseConfig = require('@airwallex/typedoc-plugin/typedoc.base.json');

/** @type {Partial<import('typedoc').TypeDocOptions>} */
const config = {
  ...baseConfig,
  entryPoints: ['src/index.ts'],
  publicPath: 'sdk-reference/',
  out: './docs/source/sdk-reference',
  name: 'airwallex-payment-elements',
  basePath: '/payments',
  excludeExternals: false,
  exclude: ['**/node_modules/typescript/**', '**/node_modules/csstype/**'],
  externalSymbolLinkMappings: {
    global: {
      Promise: 'https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Promise',
    },
    typescript: {
      Promise: 'https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Promise',
    },
    '@types/googlepay': {
      'google.payments.api.CardAuthMethod':
        'https://developers.google.com/pay/api/web/reference/request-objects#CardParameters',
      'google.payments.api.BillingAddressParameters':
        'https://developers.google.com/pay/api/web/reference/request-objects#BillingAddressParameters',
      'google.payments.api.CallbackIntent':
        'https://developers.google.com/pay/api/web/reference/request-objects#PaymentDataRequest',
      'google.payments.api.PaymentDataCallbacks':
        'https://developers.google.com/pay/api/web/reference/request-objects#PaymentDataCallbacks',
      'google.payments.api.CheckoutOption':
        'https://developers.google.com/pay/api/web/reference/request-objects#final-price-example',
      'google.payments.api.PaymentDataRequest':
        'https://developers.google.com/pay/api/web/reference/request-objects#PaymentDataRequest',
      'google.payments.api.PaymentDataRequest.ShippingOptionParameters':
        'https://developers.google.com/pay/api/web/reference/request-objects#ShippingOptionParameters',
      'google.payments.api.DisplayItem':
        'https://developers.google.com/pay/api/web/reference/request-objects#DisplayItem',
      'google.payments.api.PaymentDataError':
        'https://developers.google.com/pay/api/web/reference/response-objects#PaymentDataError',
      'google.payments.api.PaymentData':
        'https://developers.google.com/pay/api/web/reference/response-objects#PaymentData',
      'google.payments.api.IntermediatePaymentData':
        'https://developers.google.com/pay/api/web/reference/response-objects#IntermediatePaymentData',
      'google.payments.api.Address': 'https://developers.google.com/pay/api/web/reference/response-objects#Address',
    },
    csstype: {
      Properties: 'https://www.w3schools.com/cssref/index.php',
    },
  },
};

module.exports = config;
